# Class UtilisateurBD

java.lang.Object
fr.iutfbleau.papillon.UtilisateurBD

public class UtilisateurBD extends Object
La classe `UtilisateurBD` gère la table utilisateur de la base de données.

Elle permet de créer ou de récupérer un utilisateur à partir d’une clé locale, et de lire un utilisateur complet via sa clé.

## Constructor Summary

Constructors
Constructor
Description
`UtilisateurBD()`

## Method Summary

Modifier and Type
Method
Description
`static Utilisateur`
`findByKey(String cle)`
Récupère un utilisateur complet à partir de sa clé.
`static int`
`getOrCreateIdByKey(String cle)`
Récupère ou crée un utilisateur en fonction de sa clé unique.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UtilisateurBD

public UtilisateurBD()

## Method Details

### getOrCreateIdByKey

public static int getOrCreateIdByKey(String cle) throws SQLException
Récupère ou crée un utilisateur en fonction de sa clé unique.

Parameters:
  `cle` - la clé unique associée à l’utilisateur
Returns:
  l’identifiant de l’utilisateur correspondant
Throws:
  `SQLException` - si une erreur SQL survient

### findByKey

public static Utilisateur findByKey(String cle) throws SQLException
Récupère un utilisateur complet à partir de sa clé.

Parameters:
  `cle` - la clé unique de l’utilisateur
Returns:
  un objet `Utilisateur` si trouvé, sinon `null`
Throws:
  `SQLException` - si une erreur SQL survient